Article ID: 1416, created on Mar 26, 2009, last review on Apr 23, 2012

  • Applies to:
  • Plesk for Linux/Unix

Résolution

Par exemple, si vous exécutez la commande "host" à partir d'un script PHP (même si vous avez déjà recompilé PHP et Apache), vous obtenez l'erreur suivante :

host: isc_socket_create: not enough free resources
socket.c:2117: REQUIRE(maxfd <= (int)1024) failed.

La raison de cette erreur est que 'bind-utils' (et autres logiciels) sont également affectés par le problème FD_SETSIZE et même s'ils ne sont pas directement liés à Apache ou  PH, ils doivent être également recompilés si certains scripts PHP les utilisent. Pour en savoir plus, voir l'article 260.
 

29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF